## ros-kinetic-ypspur-ros 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ypspur_ros)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  message_generation

  diagnostic_msgs
  geometry_msgs
  nav_msgs
  sensor_msgs
  std_msgs
  tf
  trajectory_msgs
)

add_message_files(
  FILES
  DigitalOutput.msg
  DigitalInput.msg
  ControlMode.msg
  JointPositionControl.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS
  roscpp
  message_runtime

  diagnostic_msgs
  geometry_msgs
  nav_msgs
  sensor_msgs
  std_msgs
  tf
  trajectory_msgs
)
find_package(Boost REQUIRED COMPONENTS chrono thread atomic REQUIRED)

find_package(ypspur 1.17.0 REQUIRED)

###########
## Build ##
###########

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. ")
endif()


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${ypspur_INCLUDE_DIRS}
)

add_executable(ypspur_ros src/ypspur_ros.cpp)
target_link_libraries(ypspur_ros
  ${catkin_LIBRARIES}
  ypspur
)
add_dependencies(ypspur_ros ${ypspur_ros_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(joint_tf_publisher src/joint_tf_publisher.cpp)
target_link_libraries(joint_tf_publisher ${catkin_LIBRARIES})
add_dependencies(joint_tf_publisher ${ypspur_ros_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(joint_position_to_joint_trajectory src/joint_position_to_joint_trajectory.cpp)
target_link_libraries(joint_position_to_joint_trajectory ${catkin_LIBRARIES})
add_dependencies(joint_position_to_joint_trajectory ${ypspur_ros_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

install(TARGETS
    ypspur_ros
    joint_tf_publisher
    joint_position_to_joint_trajectory
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-kinetic-ypspur-ros (0.3.4-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@openspur.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-kinetic-ypspur-ros (0.3.3-1xenial) xenial; urgency=high

  * Update assets to v0.1.4 (#86 <https://github.com/openspur/ypspur_ros/issues/86>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@openspur.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-kinetic-ypspur-ros (0.3.2-1xenial) xenial; urgency=high

  * Update ypspur version (#83 <https://github.com/openspur/ypspur_ros/issues/83>)
  * Update assets to v0.1.3 (#82 <https://github.com/openspur/ypspur_ros/issues/82>)
  * Update assets to v0.1.2 (#81 <https://github.com/openspur/ypspur_ros/issues/81>)
  * Migrate to GitHub Actions (#79 <https://github.com/openspur/ypspur_ros/issues/79>)
  * Update assets to v0.0.10 (#78 <https://github.com/openspur/ypspur_ros/issues/78>)
  * Update assets to v0.0.9 (#76 <https://github.com/openspur/ypspur_ros/issues/76>)
  * Update CI scripts (#77 <https://github.com/openspur/ypspur_ros/issues/77>)
  * Update cmake version of cmake_minimum_required() from 2.8.3 to 3.0.2 (#75 <https://github.com/openspur/ypspur_ros/issues/75>)
  * Update assets to v0.0.8 (#72 <https://github.com/openspur/ypspur_ros/issues/72>)
  * Add Noetic CI job and pre-release test jobs (#69 <https://github.com/openspur/ypspur_ros/issues/69>)
  * Update assets to v0.0.7 (#68 <https://github.com/openspur/ypspur_ros/issues/68>)
  * Update assets to v0.0.6 (#67 <https://github.com/openspur/ypspur_ros/issues/67>)
  * Contributors: Atsushi Watanabe, Kazuki Takahashi, Seiga Kiribayashi

 -- Atsushi Watanabe <atsushi.w@openspur.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-kinetic-ypspur-ros (0.3.1-1xenial) xenial; urgency=high

  * Fix communication error handling (#64 <https://github.com/openspur/ypspur_ros/issues/64>)
  * Drop support for yp-spur<1.17.0 to simplify the code (#63 <https://github.com/openspur/ypspur_ros/issues/63>)
  * Add sleep to ensure publishing rosout before exit (#61 <https://github.com/openspur/ypspur_ros/issues/61>)
  * Fix coding style (#62 <https://github.com/openspur/ypspur_ros/issues/62>)
  * Add post-release test script (#58 <https://github.com/openspur/ypspur_ros/issues/58>)
  * Disable CI build on indigo (#59 <https://github.com/openspur/ypspur_ros/issues/59>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@openspur.org>  Mon, 16 Dec 2019 00:00:00 -0000

ros-kinetic-ypspur-ros (0.3.0-1xenial) xenial; urgency=high

  * Add parameter to set expire duration of cmd_vel (#55 <https://github.com/openspur/ypspur_ros/issues/55>)
  * Ignore outdated JointTrajectory command (#54 <https://github.com/openspur/ypspur_ros/issues/54>)
  * Fix exception type (#52 <https://github.com/openspur/ypspur_ros/issues/52>)
  * Fix subprocess handling (#48 <https://github.com/openspur/ypspur_ros/issues/48>)
  * Add device error status diagnostic output (#46 <https://github.com/openspur/ypspur_ros/issues/46>)
  * Fix test dependencies and update manifest (#42 <https://github.com/openspur/ypspur_ros/issues/42>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@openspur.org>  Thu, 09 May 2019 00:00:00 -0000

ros-kinetic-ypspur-ros (0.2.0-1xenial) xenial; urgency=high

  * Add CI build for melodic (#37 <https://github.com/openspur/ypspur_ros/issues/37>)
    
      * Also rename ci script directory
    
  * Add encrypted token for image caching (#35 <https://github.com/openspur/ypspur_ros/issues/35>)
  * Migrate to ROS recommended namespace model (#31 <https://github.com/openspur/ypspur_ros/issues/31>)
  * Fix --enable-get-digital-io arg to ypspur-coordinator (#33 <https://github.com/openspur/ypspur_ros/issues/33>)
  * Fix installation of nodes (#30 <https://github.com/openspur/ypspur_ros/issues/30>)
  * Fix variable and class naming styles (#29 <https://github.com/openspur/ypspur_ros/issues/29>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@openspur.org>  Thu, 07 Jun 2018 00:00:00 -0000

ros-kinetic-ypspur-ros (0.1.0-1xenial) xenial; urgency=high

  * Update CI settings (#25 <https://github.com/openspur/ypspur_ros/issues/25>)
    
      * Use docker hub as a cache
    
  * Fix build dependencies (#24 <https://github.com/openspur/ypspur_ros/issues/24>)
    
      * Fix cmake target build deps
      * Fix package deps
    
  * Fix joint state timestamp coherency (#23 <https://github.com/openspur/ypspur_ros/issues/23>)
    
      * Fix joint state timestamp coherency
      * Use system time if yp-spur didn't provide stamp
    
  * Add build test on indigo. (#20 <https://github.com/openspur/ypspur_ros/issues/20>)
  * Fix coding style. (#19 <https://github.com/openspur/ypspur_ros/issues/19>)
  * Fix timestamp in simulation mode. (#18 <https://github.com/openspur/ypspur_ros/issues/18>)
  * Add build test. (#17 <https://github.com/openspur/ypspur_ros/issues/17>)
    
      * Add build test.
      * Fix indent in CMakeFile.
      * Fix package deps.
    
  * Support running ypspur-coordinator by using PATH env. (#14 <https://github.com/openspur/ypspur_ros/issues/14>)
  * Use find_package(ypspur) instead of catkin_package. (#12 <https://github.com/openspur/ypspur_ros/issues/12>)
  * Use CMake version of ypspur. (#10 <https://github.com/openspur/ypspur_ros/issues/10>)
    
      * Also, fix dummy dependency to system_lib.
    
  * adds README (#9 <https://github.com/openspur/ypspur_ros/issues/9>)
  * publishes digital input port state (#8 <https://github.com/openspur/ypspur_ros/issues/8>)
  * fixes to compile with old versions of YP-Spur which does not have joint_ang_vel command
  * adds error handling on joint trajectory control
  * joint_position_to_joint_trajectory: temporary removes time to accelerate
  * joint_position_to_joint_trajectory: skips duplicated joint command
  * joint_position_to_joint_trajectory: takes care of the current joint position
  * adds joint_position_to_joint_trajectory converter


=== debian/control ===
Source: ros-kinetic-ypspur-ros
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@openspur.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-ypspur (>= 1.20.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-ypspur-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-trajectory-msgs, ros-kinetic-ypspur (>= 1.20.0)
Description: ROS wrapper for the mobile robot control platform YP-Spur

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ypspur-ros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
